local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

-- Fel Hellweaver
do
	local data = {
		version = 1,
		key = "hellfiretrash",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Fel Hellweaver"]),
		triggers = {
			scan = {94806}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94806},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Inform
			iOrbofDestruction = {
				varname = format(L.alert["%s %s, %s!"],SN[188072],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[188072],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[188072],
				sound = "ALERT12",
				desc = 188072,
				flashscreen = true,
				throttle = 1.5,
			},	
		},
		events = {
			-- Orb of Destruction
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {188072},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iOrbofDestruction",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {188072},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iOrbofDestruction",
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end

-- Fiery Enkindler
do
	local data = {
		version = 1,
		key = "hellfiretrash2",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Fiery Enkindler"]),
		triggers = {
			scan = {94284}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94284},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mFocusedFire = {
				varname = format(L.alert["%s %s %s"],SN[187110],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[187110],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 187110,
				icon = ST[187110],
				throttle = 3,
			},
		},
		announces = { 
			FocusedFiresay = {
				varname = format(L.alert["%s %s %s!"],SN[187110],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[187110],L.alert["on"],L.alert["Me"]),
				desc = 187110,
				icon = ST[187110],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			FocusedFireDebuff = {
				varname = format(L.alert["%s Debuff"],SN[187110]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[187110]),
				text2 = format(L.alert["#5#: %s"],SN[187110]),
				time = 12,
				color1 = "RED",
				desc = 187110,
				icon = ST[187110],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- FocusedFire
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187110},
				execute = {
					{
						"message","mFocusedFire",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","FocusedFireDebuff",
						"announce","FocusedFiresay",
						"openwindow",{"5",nil,false,187110},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FocusedFireDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {187110},
				execute = {
					{
						"quash","FocusedFireDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Graggra
do
	local data = {
		version = 1,
		key = "hellfiretrash3",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Graggra"]),
		triggers = {
			scan = {94995}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94995},
		--	defeat = 94995,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mBadBreath = {
				varname = format(L.alert["%s %s %s (1)"],SN[188476],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[188476],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[188476],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 188476,
				icon = ST[188476],
				counter2 = true,
				throttle = 2.5,
			},
			mGraggraSmash = {
				varname = format(L.alert["%s %s %s"],SN[188510],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[188510],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 188510,
				icon = ST[188510],
				counter2 = true,
				throttle = 2.5,
			},			
		},
		announces = { 
			GraggraSmashsay = {
				varname = format(L.alert["%s %s %s!"],SN[188510],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[188510],L.alert["on"],L.alert["Me"]),
				desc = 188510,
				icon = ST[188510],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Warning
			wBadBreath = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[188476]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[188476]),
				time = 2,
				color1 = "RED",
				icon = ST[188476],
				sound = "ALERT13",
				desc = 188476,
				--flashscreen = true,
			},	
			iBlazingFelTouch = {
				varname = format(L.alert["%s %s %s!"],SN[188448],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[188448],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[188448],
				sound = "ALERT9",
				desc = 188448,
			},			
			-- Debuff
			BadBreathDebuff = {
				varname = format(L.alert["%s Debuff"],SN[188476]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[188476]),
				text2 = format(L.alert["(1) #5#: %s"],SN[188476]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[188476]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[188476]),
				time = 20,
				color1 = "PURPLE",
				desc = 188476,
				icon = ST[188476],
				tag = "#5#",
				exdps = true,				
			},
			GraggraSmashDebuff = {
				varname = format(L.alert["%s Debuff"],SN[188510]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[188510]),
				text2 = format(L.alert["#5#: %s"],SN[188510]),
				time = 5,
				color1 = "RED",
				desc = 188510,
				icon = ST[188510],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- BadBreath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {188476},
				execute = {	
					{
						"alert","wBadBreath",
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188476},
				execute = {
					{
						"expect",{"&istank|#5#&","==","true"},
						"invoke",{
							{
								"message","mBadBreath",
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","BadBreathDebuff",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 2},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {188476},
				execute = {
					{
						"expect",{"&istank|#5#&","==","true"},
						"invoke",{
							{
								"message",{"mBadBreath", text = 2},
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 3},
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 4},
							},
						},
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188476},
				execute = {
					{
						"quash","BadBreathDebuff",
					},
				},
			},	
			-- BlazingFelTouch
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188448},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBlazingFelTouch",
						"openwindow",{"5",nil,false,188448},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188448},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},
				},
			},	
			-- GraggraSmash
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188510},
				execute = {
					{
						"message","mGraggraSmash",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","GraggraSmashsay",
						"alert","GraggraSmashDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"GraggraSmashDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188448},
				execute = {
					{
						"quash","GraggraSmashDebuff",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end

-- Bleeding Darkcaster
do
	local data = {
		version = 1,
		key = "hellfiretrash4",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Bleeding Darkcaster"]),
		triggers = {
			scan = {92041}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92041},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mDarkFate = {
				varname = format(L.alert["%s %s %s"],SN[182644],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[182644],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 182644,
				icon = ST[182644],
				throttle = 2.5,
			},
		},
		announces = { 
			DarkFatesay = {
				varname = format(L.alert["%s %s %s!"],SN[182644],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[182644],L.alert["on"],L.alert["Me"]),
				desc = 182644,
				icon = ST[182644],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			DarkFateDebuff = {
				varname = format(L.alert["%s Debuff"],SN[182644]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[182644]),
				text2 = format(L.alert["#5#: %s"],SN[182644]),
				time = 15,
				color1 = "RED",
				desc = 182644,
				icon = ST[182644],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- DarkFate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182644},
				execute = {
					{
						"message","mDarkFate",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","DarkFateDebuff",
						"announce","DarkFatesay",
						"openwindow",{"10",nil,false,182644},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"DarkFateDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {182644},
				execute = {
					{
						"quash","DarkFateDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Salivating Bloodthirster
do
	local data = {
		version = 1,
		key = "hellfiretrash5",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Salivating Bloodthirster"]),
		triggers = {
			scan = {92038}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92038},
		--	defeat = 92038,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Inform
			iRendingHowl = {
				varname = format(L.alert["%s: %s %s!"],SN[189612],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[189612],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189612],
				sound = "ALERT11",
				desc = 189612,
				flashscreen = true,
				exhealer = true,
			},
		},
		events = {
			-- RendingHowl
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189612},
				execute = {	
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"alert","iRendingHowl",
					},			
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end

-- Construct Peacekeeper
do
	local data = {
		version = 1,
		key = "hellfiretrash6",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Construct Peacekeeper"]),
		triggers = {
			scan = {95630}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {95630},
		--	defeat = 95630,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},			
		onstart = {
			{

			},
		},
		alerts = {
			wProtocolCrowdControl = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[189595]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[189595]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189595],
				sound = "ALERT10",
				desc = 189595,
			},	
		},
		events = {
			-- ProtocolCrowdControl
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189595},
				execute = {	
					{
						"alert","wProtocolCrowdControl",
					},			
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end

-- Binder Eloah
do
	local data = {
		version = 1,
		key = "hellfiretrash7",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Binder Eloah"]),
		triggers = {
			scan = {95614}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {95614},
		--	defeat = 95614,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mSeverSoul = {
				varname = format(L.alert["%s %s %s"],SN[189533],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[189533],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 189533,
				icon = ST[189533],
				throttle = 2.5,
			},
		},	
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			SeverSoulDebuff = {
				varname = format(L.alert["%s Debuff"],SN[189533]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[189533]),
				text2 = format(L.alert["#5#: %s"],SN[189533]),
				time = 6,
				color1 = "RED",
				desc = 189533,
				icon = ST[189533],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- SeverSoul
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189533},
				execute = {
					{
						"message","mSeverSoul",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","SeverSoulDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SeverSoulDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189533},
				execute = {
					{
						"quash","SeverSoulDebuff",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Adjunct Kuroh
do
	local data = {
		version = 1,
		key = "hellfiretrash8",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Adjunct Kuroh"]),
		triggers = {
			scan = {91520, 91521, 91522}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {91520, 91521, 91522},
		--	defeat = 91520,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mSealOfDecay = {
				varname = format(L.alert["%s %s %s (1)"],SN[184986],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[184986],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[184986],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184986,
				icon = ST[184986],
				counter2 = true,
				throttle = 2.5,
			},
		},	
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			SealOfDecayDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184986]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[184986]),
				text2 = format(L.alert["(1) #5#: %s"],SN[184986]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[184986]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[184986]),
				time = 5,
				color1 = "RED",
				desc = 184986,
				icon = ST[184986],
				tag = "#5#",
				exdps = true,				
			},
		},
		events = {
			-- SealOfDecay
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184986},
				execute = {
					{
						"message","mSealOfDecay",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","SealOfDecayDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184986},
				execute = {
					{
						"expect",{"&checkperc|#11#|3&","==","0"},
						"message",{"mSealOfDecay", text = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 4},
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184986},
				execute = {
					{
						"quash","SealOfDecayDebuff",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Dag'gorath
do
	local data = {
		version = 1,
		key = "hellfiretrash9",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Dag'gorath"]),
		triggers = {
			scan = {92527}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92527},
		--	defeat = 92527,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mDemonicSacrifice = {
				varname = format(L.alert["%s %s %s"],SN[186197],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[186197],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186197,
				icon = ST[186197],
				throttle = 2.5,
			},
		},	
		announces = { 
			DemonicSacrificesay = {
				varname = format(L.alert["%s %s %s!"],SN[186197],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186197],L.alert["on"],L.alert["Me"]),
				desc = 186197,
				icon = ST[186197],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},			
		onstart = {
			{

			},
		},
		alerts = {

		},
		events = {
			-- DemonicSacrifice
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186197},
				execute = {
					{
						"message","mSealOfDecay",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","DemonicSacrificesay",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 2},
					},
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end

-- Eredar Faithbreaker
do
	local data = {
		version = 1,
		key = "hellfiretrash10",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Eredar Faithbreaker"]),
		triggers = {
			scan = {93156}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {93156},
		--	defeat = 93156,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mTouchOfMortality = {
				varname = format(L.alert["%s %s %s"],SN[184587],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[184587],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184587,
				icon = ST[184587],
				throttle = 2,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			HellfireBlastDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184621]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[184621]),
				text2 = format(L.alert["(1) #5#: %s"],SN[184621]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[184621]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[184621]),
				time = 30,
				color1 = "RED",
				desc = 184621,
				icon = ST[184621],
				tag = "#5#",
				exdps = true,				
			},
			TouchOfMortalityDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184587]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[184587]),
				text2 = format(L.alert["#5#: %s"],SN[184587]),
				time = 9,
				color1 = "RED",
				desc = 184587,
				icon = ST[184587],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- TouchOfMortality
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184587},
				execute = {
					{
						"message","mTouchOfMortality",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","TouchOfMortalityDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"TouchOfMortalityDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184587},
				execute = {
					{
						"quash","TouchOfMortalityDebuff",
					},
				},
			},			
			-- HellfireBlast
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184621},
				execute = {
					--{
					--	"message","mSealOfDecay",
					--},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","HellfireBlastDebuff",
					},
					--{
					--	"expect",{"#4#","~=","&playerguid&"},
				--		"alert",{"HellfireBlastDebuff", text = 2},
					--},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184621},
				execute = {
					--{
					--	"message","mSealOfDecay",
					--},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"HellfireBlastDebuff", text = 3},
					},
					--{
					--	"expect",{"#4#","~=","&playerguid&"},
					--	"alert",{"HellfireBlastDebuff", text = 2},
					--},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184587},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"quash","HellfireBlastDebuff",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end

-- Azgalor
do
	local data = {
		version = 1,
		key = "hellfiretrash11",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Azgalor"]),
		triggers = {
			scan = {95282,95280,95408}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {95282,95280,95408},
		--	defeat = 95282,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
			Doomunits = {type = "container", wipein = 3},
			MarkOfKazrogalunits = {type = "container", wipein = 3},
		},
		announces = { 
			MarkOfKazrogalsay = {
				varname = format(L.alert["%s %s %s!"],SN[189512],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[189512],L.alert["on"],L.alert["Me"]),
				desc = 189512,
				icon = ST[189512],
			},
		},		
		timers = {
			timerDoom = {
				{
					"message","mDoom",
				},
			},
			timerMarkOfKazrogal = {
				{
					"message","mMarkOfKazrogal",
				},
			},			
		},
		messages = {
			mDoom = {
				varname = format(L.alert["%s %s %s"],SN[189538],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Doomunits&"],SN[189538],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 189538,
				icon = ST[189538],
			},
			mLesserDoom = {
				varname = format(L.alert["%s!"],SN[31350]),
				type = "message",
				text = format(L.alert["%s!"],SN[189538]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 31350,
				--icon = ST[189538],
			},
			mMarkOfKazrogal = {
				varname = format(L.alert["%s %s %s"],SN[189512],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|MarkOfKazrogalunits&"],SN[189512],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 189512,
				icon = ST[189512],
			},
			mSummonToweringInfernal = {
				varname = format(L.alert["%s %s %s"],SN[188510],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[188510],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 188510,
				icon = ST[188510],
				counter2 = true,
				throttle = 2.5,
			},				
		},		
		onstart = {
			{

			},
		},
		alerts = {
			DoomCD = {
				varname = format(L.alert["%s Cooldown"],SN[189538]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[189538]),
				time = 18.3,
				color1 = "GLOBAL",
				icon = ST[189538],
				desc = 189538,
			},
			WarStompCD = {
				varname = format(L.alert["%s Cooldown"],SN[189504]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[189504]),
				time = 24.3,
				color1 = "GLOBAL",
				icon = ST[189504],
				desc = 189504,
			},
			-- Warning
			wCarrionSwarm = {
				varname = format(L.alert["%s!"],SN[189491]),
				type = "simple",
				text = format(L.alert["%s!"],SN[189491]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189491],
				sound = "ALERT13",
				desc = 189491,
				--flashscreen = true,
			},			
			-- Inform
			iRainOfFire = {
				varname = format(L.alert["%s %s %s!"],SN[189550],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[189550],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[189550],
				sound = "ALERT9",
				desc = 189550,
				throttle = 1.5,
			},
			iSleep = {
				varname = format(L.alert["%s: %s %s!"],SN[189470],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[189470],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189470],
				sound = "ALERT11",
				desc = 189470,
				flashscreen = true,
				exhealer = true,
			},			
			-- Debuff
			DoomDebuff = {
				varname = format(L.alert["%s Debuff"],SN[189538]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[189538]),
				text2 = format(L.alert["#5#: %s"],SN[189538]),
				time = 20,
				color1 = "RED",
				desc = 189538,
				icon = ST[189538],
				tag = "#5#",
				exdps = true,				
			},
			MarkOfKazrogalDebuff = {
				varname = format(L.alert["%s Debuff"],SN[189512]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[189512]),
				text2 = format(L.alert["#5#: %s"],SN[189512]),
				time = 30,
				color1 = "RED",
				desc = 189512,
				icon = ST[189512],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Doom
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189538},
				execute = {	
					{
						"alert","DoomCD",
					},		
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189538},
				execute = {
					{
						"insert",{"Doomunits","#5#"},
						"canceltimer","timerDoom",
						"scheduletimer",{"timerDoom",0.3},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","DoomDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"DoomDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189538},
				execute = {
					{
						"quash","DoomDebuff",
						"message","mLesserDoom",
					},
				},
			},
			-- RainOfFire
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189550},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iRainOfFire",
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {189550},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iRainOfFire",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {189550},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iRainOfFire",
					},
				},
			},

			-- MarkOfKazrogal		
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189512},
				execute = {
					{
						"insert",{"MarkOfKazrogalunits","#5#"},
						"canceltimer","timerMarkOfKazrogal",
						"scheduletimer",{"timerMarkOfKazrogal",0.3},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","MarkOfKazrogalsay",
						"openwindow",{"",nil,false,189512},
						"alert","MarkOfKazrogalDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"MarkOfKazrogalDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189512},
				execute = {
					{
						"quash","MarkOfKazrogalDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},	
			-- WarStomp
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {189504},
				execute = {
					{
						"alert","WarStompCD",
					},
				},
			},

			-- Sleep
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189470},
				execute = {
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"alert","iSleep",
					},
				},
			},
			-- CarrionSwarm
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189464},
				execute = {
					{
						"alert","wCarrionSwarm",
					},
				},
			},			
			-- SummonToweringInfernal
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {189491},
				execute = {
					{
						"message","mSummonToweringInfernal",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end